complexType "AdditionalDisruptionEvents"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 11 elements
Defined: | globally in fpml-eq-shared-5-3.xsd; see XML source
Includes: | definitions of 11 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | changeInLaw?, failureToDeliver?, insolvencyFiling?, hedgingDisruption?, lossOfStockBorrow?, maximumStockLoanRate?, increasedCostOfStockBorrow?, initialStockLoanRate?, increasedCostOfHedging?, determiningPartyReference?, foreignOwnershipEvent?
</...>

Content Model Elements (11):

  changeInLaw, determiningPartyReference, failureToDeliver (in additionalDisruptionEvents), foreignOwnershipEvent, hedgingDisruption, increasedCostOfHedging, | increasedCostOfStockBorrow, initialStockLoanRate, insolvencyFiling, lossOfStockBorrow, maximumStockLoanRate

All Direct / Indirect Based Elements (1):

  additionalDisruptionEvents

Known Usage Locations

- As direct type of elements (1):
  additionalDisruptionEvents

Annotation
A type for defining ISDA 2002 Equity Derivative Additional Disruption Events.
XML Source (w/o annotations (12); see within schema source)

<xsd:complexType name="AdditionalDisruptionEvents"> <xsd:sequence> <xsd:element minOccurs="0" name="changeInLaw" type="xsd:boolean"/> <xsd:element minOccurs="0" name="failureToDeliver" type="xsd:boolean"/> <xsd:element minOccurs="0" name="insolvencyFiling" type="xsd:boolean"/> <xsd:element minOccurs="0" name="hedgingDisruption" type="xsd:boolean"/> <xsd:element minOccurs="0" name="lossOfStockBorrow" type="xsd:boolean"/> <xsd:element minOccurs="0" name="maximumStockLoanRate" type="RestrictedPercentage"/> <xsd:element minOccurs="0" name="increasedCostOfStockBorrow" type="xsd:boolean"/> <xsd:element minOccurs="0" name="initialStockLoanRate" type="RestrictedPercentage"/> <xsd:element minOccurs="0" name="increasedCostOfHedging" type="xsd:boolean"/> <xsd:element minOccurs="0" name="determiningPartyReference" type="PartyReference"/> <xsd:element minOccurs="0" name="foreignOwnershipEvent" type="xsd:boolean"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 11/11)
changeInLaw

  Type: | xsd:boolean, predefined, simple content

  If true, then change in law is applicable.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="changeInLaw" type="xsd:boolean"/>

determiningPartyReference

  Type: | PartyReference, empty content

  A reference to the party which determines additional disruption events.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="determiningPartyReference" type="PartyReference"/>

failureToDeliver

  Type: | xsd:boolean, predefined, simple content

  Where the underlying is shares and the transaction is physically settled, then, if true, a failure to deliver the shares on the settlement date will not be an event of default for the purposes of the master agreement.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="failureToDeliver" type="xsd:boolean"/>

foreignOwnershipEvent

  Type: | xsd:boolean, predefined, simple content

  If true, then foreign ownership event is applicable.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="foreignOwnershipEvent" type="xsd:boolean"/>

hedgingDisruption

  Type: | xsd:boolean, predefined, simple content

  If true, then hedging disruption is applicable.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="hedgingDisruption" type="xsd:boolean"/>

increasedCostOfHedging

  Type: | xsd:boolean, predefined, simple content

  If true, then increased cost of hedging is applicable.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="increasedCostOfHedging" type="xsd:boolean"/>

increasedCostOfStockBorrow

  Type: | xsd:boolean, predefined, simple content

  If true, then increased cost of stock borrow is applicable.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="increasedCostOfStockBorrow" type="xsd:boolean"/>

initialStockLoanRate

  Type: | RestrictedPercentage, simple content

  Specifies the initial stock loan rate for Increased Cost of Stock Borrow.
  Simple Content

  xsd:decimal

  maxInclusive: | 1
  minInclusive: | 0

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="initialStockLoanRate" type="RestrictedPercentage"/>

insolvencyFiling

  Type: | xsd:boolean, predefined, simple content

  If true, then insolvency filing is applicable.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="insolvencyFiling" type="xsd:boolean"/>

lossOfStockBorrow

  Type: | xsd:boolean, predefined, simple content

  If true, then loss of stock borrow is applicable.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="lossOfStockBorrow" type="xsd:boolean"/>

maximumStockLoanRate

  Type: | RestrictedPercentage, simple content

  Specifies the maximum stock loan rate for Loss of Stock Borrow.
  Simple Content

  xsd:decimal

  maxInclusive: | 1
  minInclusive: | 0

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="maximumStockLoanRate" type="RestrictedPercentage"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.